For the complete documentation index, see llms.txt. This page is also available as Markdown.

एक Vision Event Bundle अपलोड करें

एक Vision Event बनाने के लिए air-gapped डिप्लॉयमेंट द्वारा लिखे गए tarball bundle को ingest करें।

के बारे में

द Vision इवेंट बंडल लिखें ब्लॉक हर इवेंट के लिए एक tarball स्थानीय डिस्क पर लिखता है, इसे Roboflow को भेजने के बजाय। इसका उपयोग तब करें जब आपका inference server ऐसे नेटवर्क में चल रहा हो जहाँ क्लाउड तक कोई रूट न हो। यह endpoint उन tarballs को वैसे ही स्वीकार करता है: आपका uploader हर फ़ाइल पोस्ट करता है, और Roboflow उसे अनपैक करता है, इमेजें अपलोड करता है, और बनाता है Vision इवेंट.

HTTP API

कच्चे archive bytes को request body के रूप में पोस्ट करें। JSON या multipart का उपयोग न करें। body बाइनरी है, इसलिए अपनी API key को Authorization: Bearer header में या api_key query parameter में भेजें।

आवश्यक scope: vision-events:write या device:update

Upload a Vision Event Bundle

post

Create one vision event from a self-contained tarball bundle written by the Write Vision Event Bundle workflow block. Post the raw archive bytes as the body.

Authorizations
AuthorizationstringRequired

Roboflow API key passed as a Bearer token.

Query parameters
useCaseIdstring · max: 256Optional

The use case the event belongs to. This overrides the useCaseId inside payload.json. Required when the bundle does not carry one.

Body
string · binaryOptional

Gzipped tar archive holding payload.json and its image members.

Responses
201

Event created successfully.

application/json
eventIdstringOptionalExample: a1b2c3d4-e5f6-7890-abcd-ef1234567890
createdbooleanOptionalExample: true
deprecationsstring[]Optional
post/vision-events/bundle
POST /vision-events/bundle HTTP/1.1
Host: api.roboflow.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/gzip
Accept: */*
Content-Length: 8

"binary"
{
  "eventId": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
  "created": true,
  "images": [
    {
      "file": "images/9f0c1b2a-4d3e-4f5a-8b6c-7d8e9f0a1b2c.jpg",
      "sourceId": "src_abc123"
    }
  ],
  "warnings": [
    {
      "type": "text",
      "path": "text",
      "value": "text",
      "valueType": "text"
    }
  ],
  "deprecations": [
    "text"
  ]
}

बंडल प्रारूप

प्रत्येक बंडल में एक इवेंट होता है। ब्लॉक gzipped tar फ़ाइलें लिखता है, और plain tar भी काम करता है।

payload.json का वही आकार है जैसा एक Vision इवेंट बनाएं request body, लेकिन दो अंतर हैं:

  • bundleFormatVersion है 1.

  • images[].file और images[].inputFile archive member paths रखते हैं (उदा.: images/9f0c1b2a.jpg) की जगह sourceId और inputSourceId. Roboflow हर member को अपलोड करता है और source IDs को इवेंट पर संग्रहीत करता है।

इमेजें के अंतर्गत होनी चाहिए images/ डायरेक्टरी। जिन members का कोई इमेज संदर्भ नहीं देती, और शीर्ष-स्तरीय directories के अलावा images/, एक ingestion warning जोड़ते हैं लेकिन इवेंट को नहीं रोकते।

के अंदर field errors payload.json JSON endpoint की तरह ही व्यवहार करते हैं। देखें Validation और Warnings.

उपयोग मामला

द useCaseId query parameter, को ओवरराइड करता है useCaseId में payload.json. यदि दोनों में से कोई भी सेट नहीं है, तो request 400 के साथ विफल हो जाती है। Air-gapped sites आम तौर पर use case को bundle से बाहर रखते हैं, ताकि local network के अंदर कोई cloud identifiers संग्रहीत न हों, और इसके बजाय इसे upload time पर सेट करते हैं।

सीमाएँ

सीमा
मान
विफलता पर स्थिति

Request body

25 MB

413

डीकंप्रेस्ड आर्काइव

75 MB

413

payload.json

10 MB

413

आर्काइव प्रविष्टियाँ

217

413

प्रति बंडल इमेजें

100

400

प्रति इमेज पिक्सेल

80 MP

413

पुनः प्रयास

आप विफल या अस्पष्ट अपलोड के बाद वही बंडल फिर से पोस्ट कर सकते हैं। इमेजें सामग्री के आधार पर मिलाई जाती हैं, और जो इवेंट दो बार आता है, वह पहले वाले को बदल देता है। इसके लिए आपसे एक बार शुल्क लिया जाता है।

अंतिम अपडेट

क्या यह उपयोगी था?